# Visualization Library A lightweight C++ OpenGL middleware for 2D/3D graphics | [Home] [Tutorials] [All Classes] [Grouped Classes]

# vl::LinearInterpolatorDVec3 Class Reference

Interpolates vl::dvec3 values using a LinearInterpolator. More...

`#include <LinearInterpolator.hpp>`

Inheritance diagram for vl::LinearInterpolatorDVec3:

List of all members.

## Public Member Functions
| LinearInterpolatorDVec3 ()
| LinearInterpolatorDVec3 (const std::vector< vl::dvec3 > &path)
vl::dvec3 | computePoint (float t) const
| Samples the interpolator at the given point.
LinearInterpolatorDVec3_T * | interpolator ()
const LinearInterpolatorDVec3_T * | interpolator () const
void | setInterpolator (LinearInterpolatorDVec3_T *interpolator)
## Protected Attributes
vl::ref < LinearInterpolatorDVec3_T > | mInterpolator

## Detailed Description

Interpolates vl::dvec3 values using a LinearInterpolator.

## Constructor & Destructor Documentation

vl::LinearInterpolatorDVec3::LinearInterpolatorDVec3 | ( |  | ) | `[inline]`

vl::LinearInterpolatorDVec3::LinearInterpolatorDVec3 | ( | const std::vector< vl::dvec3 > & | path | ) | `[inline]`

## Member Function Documentation

vl::dvec3 vl::LinearInterpolatorDVec3::computePoint | ( | float | t | ) | const`[inline, virtual]`

Samples the interpolator at the given point.

Implements vl::InterpolatorDVec3.

LinearInterpolatorDVec3_T* vl::LinearInterpolatorDVec3::interpolator | ( |  | ) | `[inline]`

const LinearInterpolatorDVec3_T* vl::LinearInterpolatorDVec3::interpolator | ( |  | ) | const`[inline]`

void vl::LinearInterpolatorDVec3::setInterpolator | ( | LinearInterpolatorDVec3_T * | interpolator | ) | `[inline]`

## Member Data Documentation

vl::ref<LinearInterpolatorDVec3_T> vl::LinearInterpolatorDVec3::mInterpolator`[protected]`

The documentation for this class was generated from the following file:

- E:/VisualizationLibrary/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vl/LinearInterpolator.hpp

Visualization Library v2009.08 Reference Documentation
Copyright 2005-2009 Michele Bosi. All rights reserved.
Updated on Sun Nov 8 14:28:59 2009.
Permission is granted to use this page to write and publish articles regarding Visualization Library.